cURL
curl --request POST \ --url https://v1.orchestrator.rhinestone.dev/batch-withdrawals \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data ' { "account": "<string>", "chainId": 123, "transfers": [ { "recipient": "<string>", "tokenAddress": "<string>", "amount": 123 } ] } '
{ "allocatorData": "<string>", "batchTransferDetails": { "nonce": 123, "expires": 123, "transfers": [ { "id": 123, "portions": [ { "claimant": 123, "amount": 123 } ] } ] } }
Gets the orchestrator signature to perform a compact withdrawal
Rhinestone API key
API version (YYYY-MM.name). Will become required in a future release.
^\d{4}-\d{2}\.[a-z0-9]+$
"2026-01.alps"
Body
Show child attributes
200
Successfully retrieved a compact batch withdrawal signature
^0x[a-fA-F0-9]*$
Was this page helpful?